package adminrefertimeservice

import (
	"context"

	"git.gocasts.ir/ebhomengo/niki/entity"
	validator "git.gocasts.ir/ebhomengo/niki/validator/admin/refer_time"
)

type Service struct {
	repo Repository
	vld  validator.Validator
}
type Repository interface {
	Get(ctx context.Context, referTimeID uint) (entity.ReferTime, error)
	GetAll(ctx context.Context, status entity.ReferTimeStatus) ([]entity.ReferTime, error)
}

func New(repo Repository, vld validator.Validator) Service {
	return Service{
		repo: repo,
		vld:  vld,
	}
}
